Summary:	SELinux policy core utilities
Summary(pl.UTF-8):	Podstawowe narzędzia dla polityki SELinux
Name:		policycoreutils
Version:	3.1
Release:	1
# some parts strictly v2, some v2+
License:	GPL v2
Group:		Applications/System
#Source0Download: https://github.com/SELinuxProject/selinux/wiki/Releases
Source0:	https://github.com/SELinuxProject/selinux/releases/download/20200710/%{name}-%{version}.tar.gz
# Source0-md5:	3097ac2c83e47af130452f10399282cb
Source1:	%{name}-newrole.pamd
Source2:	%{name}-run_init.pamd
URL:		https://github.com/SELinuxProject/selinux/wiki
BuildRequires:	audit-libs-devel
BuildRequires:	gettext-tools
BuildRequires:	libselinux-devel >= 3.1
BuildRequires:	libsemanage-devel >= 3.1
BuildRequires:	libsepol-devel >= 3.1
BuildRequires:	pam-devel
BuildRequires:	rpm-build >= 4.6
Requires:	libselinux >= 3.1
Requires:	libsemanage >= 3.1
Requires:	libsepol >= 3.1
Obsoletes:	policycoreutils-tools-perl < 2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number of
utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

policycoreutils contains the policy core utilities that are required
for basic operation of a SELinux system. These utilities include
load_policy to load policies, setfiles to label filesystems, newrole
to switch roles, and run_init to run /etc/rc.d/init.d scripts in the
proper context.

%description -l pl.UTF-8
Security-enhanced Linux jest prototypem jądra Linuksa i wielu
aplikacji użytkowych o funkcjach podwyższonego bezpieczeństwa.
Zaprojektowany jest tak, aby w prosty sposób ukazać znaczenie
obowiązkowej kontroli dostępu dla społeczności linuksowej. Ukazuje
również jak taką kontrolę można dodać do istniejącego systemu typu
Linux. Jądro SELinux zawiera nowe składniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczeństwa systemu operacyjnego
Flask. Te elementy zapewniają ogólne wsparcie we wdrażaniu wielu typów
polityk obowiązkowej kontroli dostępu, włączając te wzorowane na: Type
Enforcement (TE), kontroli dostępu opartej na rolach (RBAC) i
zabezpieczeniach wielopoziomowych.

policycoreutils zawiera narzędzia do ustalania polityki, które są
niezbędne do podstawowych operacji na systemie SELinux. Pakiet zawiera
load_policy do wczytywania polityki, setfiles do znaczenia systemu
plików, newrole do przełączania ról i run_init do uruchamiania we
właściwym kontekście skryptów zawartych w /etc/rc.d/init.d.

%package -n bash-completion-%{name}
Summary:	Bash completion for policycoreutils commands
Summary(pl.UTF-8):	Bashowe dopełnianie składni poleceń policycoreutils
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2
BuildArch:	noarch

%description -n bash-completion-%{name}
Bash completion for policycoreutils commands.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie składni poleceń policycoreutils.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,security/console.apps}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBEXECDIR=%{_libexecdir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/newrole
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/run_init
:> $RPM_BUILD_ROOT/etc/security/console.apps/run_init

# empty versions of short-code locales
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{bn_BD,lt_LT,lv_LV,si_LK,vi_VN,zh_CN.GB2312,zh_TW.Big5}
# not supported by glibc (as of 2.30)
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{aln,bal,ilo}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(4755,root,root) %{_bindir}/newrole
%attr(755,root,root) %{_bindir}/secon
%attr(755,root,root) /sbin/restorecon
%attr(755,root,root) /sbin/restorecon_xattr
%attr(755,root,root) /sbin/setfiles
%attr(755,root,root) %{_sbindir}/fixfiles
%attr(755,root,root) %{_sbindir}/genhomedircon
%attr(755,root,root) %{_sbindir}/load_policy
%attr(755,root,root) %{_sbindir}/open_init_pty
%attr(755,root,root) %{_sbindir}/run_init
%attr(755,root,root) %{_sbindir}/semodule
%attr(755,root,root) %{_sbindir}/setsebool
%attr(755,root,root) %{_sbindir}/sestatus
%dir %{_libexecdir}/selinux/hll
%attr(755,root,root) %{_libexecdir}/selinux/hll/pp
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/newrole
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/run_init
%config(missingok) /etc/security/console.apps/run_init
%config(noreplace) %verify(not md5 mtime size) /etc/sestatus.conf
%{_mandir}/man1/newrole.1*
%{_mandir}/man1/secon.1*
%{_mandir}/man5/selinux_config.5*
%{_mandir}/man5/sestatus.conf.5*
%{_mandir}/man8/genhomedircon.8*
%{_mandir}/man8/fixfiles.8*
%{_mandir}/man8/load_policy.8*
%{_mandir}/man8/open_init_pty.8*
%{_mandir}/man8/restorecon.8*
%{_mandir}/man8/restorecon_xattr.8*
%{_mandir}/man8/run_init.8*
%{_mandir}/man8/semodule.8*
%{_mandir}/man8/sestatus.8*
%{_mandir}/man8/setfiles.8*
%{_mandir}/man8/setsebool.8*
%lang(ru) %{_mandir}/ru/man1/newrole.1*
%lang(ru) %{_mandir}/ru/man1/secon.1*
%lang(ru) %{_mandir}/ru/man5/selinux_config.5*
%lang(ru) %{_mandir}/ru/man5/sestatus.conf.5*
%lang(ru) %{_mandir}/ru/man8/genhomedircon.8*
%lang(ru) %{_mandir}/ru/man8/fixfiles.8*
%lang(ru) %{_mandir}/ru/man8/load_policy.8*
%lang(ru) %{_mandir}/ru/man8/open_init_pty.8*
%lang(ru) %{_mandir}/ru/man8/restorecon.8*
%lang(ru) %{_mandir}/ru/man8/restorecon_xattr.8*
%lang(ru) %{_mandir}/ru/man8/run_init.8*
%lang(ru) %{_mandir}/ru/man8/semodule.8*
%lang(ru) %{_mandir}/ru/man8/sestatus.8*
%lang(ru) %{_mandir}/ru/man8/setfiles.8*
%lang(ru) %{_mandir}/ru/man8/setsebool.8*

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/setsebool
%changelog
* Tue Jun 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/policycoreutils.git;a=log;h=master

* Sun Jun 20 2021 Jakub Bogusz <qboosh@pld-linux.org> ee1117d
- updated to 3.1 (20200710)

* Thu Aug 29 2019 Jakub Bogusz <qboosh@pld-linux.org> e92af5e
- updated to 2.9

* Sat Jun 09 2018 Jakub Bogusz <qboosh@pld-linux.org> ee7dc51
- updated to 2.8

* Fri Dec 01 2017 Jakub Bogusz <qboosh@pld-linux.org> f19f51b
- honour _libexecdir

* Tue Nov 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 7be9a0b
- updated to 2.7
- some parts have been separated:
  mcstrans, restorecond, selinux-dbus, selinux-gui, selinux-python, selinux-sandbox, semodule-utils
- removed libdir,pythondir patches here as they belong to other packages now

* Sat Feb 25 2017 Jan Rękorajski <baggins@pld-linux.org> 8593dbd
- up to 2.6

* Thu Oct 13 2016 Jakub Bogusz <qboosh@pld-linux.org> dfd0dab
- updated to 2.5
- added pythondir patch (pass prefix to python install)

* Mon Oct 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 58c8fd6
- added libdir patch (use pkg-config for arch-specific dbus and glib includes detection, fixes x32 build)
- release 2

* Sun Oct 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 9dca271
- new URLs, updated to 2.4

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f3e1c70
- updated gettext BR

* Tue Jul 01 2014 Jakub Bogusz <qboosh@pld-linux.org> cabc1ee
- updated to 2.3

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 67dc9db
- updated to 2.2.5
- removed obsolete gui patch

* Thu May 24 2012 Jan Rękorajski <baggins@pld-linux.org> a570faf
- rel 2

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> d04e3b3
- package missing files
- removed obsolete build patch

* Wed May 23 2012 Jan Rękorajski <baggins@pld-linux.org> b4a5a3c
- BR libcgroup-devel

* Wed May 23 2012 Jan Rękorajski <baggins@pld-linux.org> f1fbc22
- up to 2.1.10

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> f63f4af
- omit "0:" from libselinux deps

* Sat Sep 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b24ded
- up to 2.1.0; TODO: package sandbox init script

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 442ac64
- dropped pre-cvs changelog

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 62ca932
- release 4

